Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QLineEdit.EchoMode

    java.lang.Object
      java.lang.Enum<QLineEdit.EchoMode>
          com.trolltech.qt.gui.QLineEdit.EchoMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLineEdit.EchoMode>

Enclosing class:
  QLineEdit

    public static enum QLineEdit.EchoMode

extends java.lang.Enum<QLineEdit.EchoMode>
implements QtEnumerator

This enum type describes how a line edit should display its contents.

See Also:
  `setEchoMode`, `echoMode`

Enum Constant Summary
`NoEcho` Do not display anything.
`Normal` Display characters as they are entered.
`Password` Display asterisks instead of the characters actually entered.
`PasswordEchoOnEdit` Display characters as they are entered while editing otherwise display asterisks.

Method Summary
`static QLineEdit.EchoMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLineEdit.EchoMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLineEdit.EchoMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Normal

    public static final QLineEdit.EchoMode Normal

  Display characters as they are entered. This is the default.

### NoEcho

    public static final QLineEdit.EchoMode NoEcho

  Do not display anything. This may be appropriate for passwords where even the length of the password should be kept secret.

### Password

    public static final QLineEdit.EchoMode Password

  Display asterisks instead of the characters actually entered.

### PasswordEchoOnEdit

    public static final QLineEdit.EchoMode PasswordEchoOnEdit

  Display characters as they are entered while editing otherwise display asterisks.

Method Detail

### values

    public static final QLineEdit.EchoMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLineEdit.EchoMode c : QLineEdit.EchoMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLineEdit.EchoMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLineEdit.EchoMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD